package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "doctor_schedule")
public class DoctorSchedule {

    @Id
    private Integer id;


    /**
     * 医生ID
     */
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 出诊时间
     */
    @Column(name = "clinic_time", nullable = false)
    private Date clinicTime;


    /**
     * 是否物理删除（0-不删除，1-删除）
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 是否下午出诊（0-不出诊；1-出诊）
     */
    @Column(name = "afternoon", nullable = false)
    private Boolean afternoon;

    /**
     * 是否上午出诊（0-不出诊；1-出诊）
     */
    @Column(name = "morning", nullable = false)
    private Boolean morning;

    /**
     * 是否晚上出诊（0-不出诊；1-出诊）
     */
    @Column(name = "night", nullable = false)
    private Boolean night;

    /**
     * 类型：1-按月 2-按周
     */
    @Column(name = "type", nullable = false)
    private Integer type;

    /**
     * 加号配置id
     */
    @Column(name = "config_id", nullable = false)
    private Integer configId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getClinicTime() {
        return clinicTime;
    }

    public void setClinicTime(Date clinicTime) {
        this.clinicTime = clinicTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Boolean getAfternoon() {
        return afternoon;
    }

    public void setAfternoon(Boolean afternoon) {
        this.afternoon = afternoon;
    }

    public Boolean getMorning() {
        return morning;
    }

    public void setMorning(Boolean morning) {
        this.morning = morning;
    }

    public Boolean getNight() {
        return night;
    }

    public void setNight(Boolean night) {
        this.night = night;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getConfigId() {
        return configId;
    }

    public void setConfigId(Integer configId) {
        this.configId = configId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
